1. MARKET
Rapira
  • Введение
  • JWT
    • Инструкция по созданию JWT
    • Generate JWT
      POST
  • CRYPTO MERCHANT
    • Адреса
      • Get address by currency
      • Create address by currency
      • Get address details by id
      • Get address list by currency
      • Start use address
      • Stop use address
    • Пополнения
      • Get deposits
  • MARKET
    • Get spot fees
      GET
    • Pairs
      GET
    • Token
      GET
    • Get rates JSON
      GET
    • Get rates XML
      GET
    • Get market depth
      POST
  • BALANCE
    • Get frozen balances
      GET
    • Get balance operations coins and types
      GET
    • Get balance operations
      POST
    • Get frozen balances detailed
      GET
    • Get Balances
      GET
  • SERVER TIME
    • Get server time
      GET
  • ORDER
    • Order history
      GET
    • Order details
      GET
    • Add exchange order
      POST
    • Cancel order
      POST
  • CRYPTO PAYOUT
    • Withdraw
      • Withdraw create
      • Withdraw crypto history Record
      • Withdraw crypto history
  • FIAT PAYOUT
    • Fiat
      • Withdraw fiat history
      • Withdraw fiat history Record
    • FIAT TRANSACTION
      • Fiat Transactions
      • Fiat Withdraw For Record
  • AML
    • AML balance
    • Recheck
    • Check address
    • Check transaction
  • rCode
    • Create rCode
    • rCode withdraw history
    • rCode deposit history
    • rCode details
    • Use rCode
  • OTC
    • Введение в OTC
    • Get payment types
    • Get my ads
    • Create ad
    • Update ad
    • Publish ad
    • Unpublish ad
    • Get offers
    • Fetch ads
    • Get order detail
    • Create order
    • Accept order
    • Decline order
    • Cancel order
    • Chat-history
    • Chat history page query
    • Pay order
    • Release order
    • Cancel appeal
    • Get order history
    • Create appeal
    • Send message
  • CRYPTO-PROCESSING
    • Введение
    • Создание проекта
    • Настройка проекта
    • Работа с инвойсами
    • Projects Settings
      • Get Invoices (Paginated)
      • Set deposit return address
      • Get Available Token Settings
      • Get Project Token Settings
      • Update Project Token Settings
      • Batch Update Project Token Settings
      • Get Projects
      • Edit Project
    • Invoice
      • Available Invoice Currencies
      • Create Invoice
      • Get Invoice
      • Get Available Payment Tokens for Invoice
      • Get Payment Address for Invoice
      • Manual Complete Undepaid Invoice
  • Schemas
    • CryptoProcessing
      • CryptoInvoice
      • CryptoPaymentQuote
      • CryptoDeposit
      • ProjectProcessingTokenSetting
      • ProjectProcessingTokenSettingEditRequest
      • ProjectResponse
  1. MARKET

Get rates JSON

GET
/open/market/rates
Лимиты запросов: 5 в секунду, но не более 100 в минуту

Request

Header Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.rapira.net/open/market/rates' \
--header 'Accept: application/json'
Response Response Example
{
    "data": [
        {
            "symbol": "USDT/RUB",
            "open": 94.58,
            "high": 94.8,
            "low": 94.56,
            "close": 94.76,
            "chg": 0.00190355,
            "change": 0.18,
            "fee": 0.0015,
            "lastDayClose": 94.76,
            "usdRate": 1.2831318936,
            "baseUsdRate": 0.01354086,
            "askPrice": 94.78,
            "bidPrice": 94.6,
            "baseCoinScale": 2,
            "coinScale": 2,
            "quoteCurrencyName": "Tether",
            "baseCurrency": "RUB",
            "quoteCurrency": "USDT"
        },
        {
            "symbol": "BTC/USDT",
            "open": 60676.2,
            "high": 60841,
            "low": 59873.5,
            "close": 60253,
            "chg": -0.00706823,
            "change": -423.2,
            "fee": 0.002,
            "lastDayClose": 60675,
            "usdRate": 60253,
            "baseUsdRate": 1,
            "askPrice": 60250.5,
            "bidPrice": 60247.6,
            "baseCoinScale": 2,
            "coinScale": 8,
            "quoteCurrencyName": "Bitcoin",
            "baseCurrency": "USDT",
            "quoteCurrency": "BTC"
        },
        {
            "symbol": "ETH/USDT",
            "open": 3014.22,
            "high": 3023.66,
            "low": 2978.16,
            "close": 3004,
            "chg": -0.00343164,
            "change": -10.22,
            "fee": 0.002,
            "lastDayClose": 3014.22,
            "usdRate": 3004,
            "baseUsdRate": 1,
            "askPrice": 3004.19,
            "bidPrice": 3004.18,
            "baseCoinScale": 2,
            "coinScale": 6,
            "quoteCurrencyName": "Ethereum",
            "baseCurrency": "USDT",
            "quoteCurrency": "ETH"
        },
        {
            "symbol": "ETH/BTC",
            "open": 0.049676,
            "high": 0.04989,
            "low": 0.049641,
            "close": 0.049859,
            "chg": 0.00368646,
            "change": 0.000183,
            "fee": 0.002,
            "lastDayClose": 0.049676,
            "usdRate": 3005.251225,
            "baseUsdRate": 60275,
            "askPrice": 0.049861,
            "bidPrice": 0.049852,
            "baseCoinScale": 8,
            "coinScale": 6,
            "quoteCurrencyName": "Ethereum",
            "baseCurrency": "BTC",
            "quoteCurrency": "ETH"
        },
        {
            "symbol": "USDC/USDT",
            "open": 0,
            "high": 0,
            "low": 0,
            "close": 0,
            "chg": 0,
            "change": 0,
            "fee": 0,
            "lastDayClose": 0,
            "usdRate": 0,
            "baseUsdRate": 1,
            "askPrice": 0,
            "bidPrice": 0,
            "baseCoinScale": 4,
            "coinScale": 6,
            "quoteCurrencyName": "USDCoin",
            "baseCurrency": "USDT",
            "quoteCurrency": "USDC"
        },
        {
            "symbol": "BNB/USDT",
            "open": 0,
            "high": 0,
            "low": 0,
            "close": 0,
            "chg": 0,
            "change": 0,
            "fee": 0,
            "lastDayClose": 0,
            "usdRate": 0,
            "baseUsdRate": 1,
            "askPrice": 0,
            "bidPrice": 0,
            "baseCoinScale": 2,
            "coinScale": 4,
            "quoteCurrencyName": "Binance Coin",
            "baseCurrency": "USDT",
            "quoteCurrency": "BNB"
        }
    ],
    "code": 0,
    "message": "SUCCESS",
    "totalPage": null,
    "totalElement": null,
    "isWorking": 1
}
Modified at 2025-12-04 08:12:15
Previous
Token
Next
Get rates XML
Built with